:root {
	--font-serif: "Noto Serif JP",serif;
	--font-sans: "Noto Sans JP",sans-serif;
	--font-alphabet: "Bebas Neue",sans-serif;
}

/*
html body
*/
html {
	overflow-y: scroll;
	overflow-x: hidden;
	background-color: #fff;
	> body {
		margin: 0;
		font-family: var(--font-sans);
		font-feature-settings: "palt" 1;
		line-break: strict;
		overflow-x: hidden;
		background-color: #fff;
		min-height: 100vh;
		scroll-behavior: smooth;
		text-rendering: optimizeSpeed;
	}
}
/*
selection
*/
::selection {
	color: #fff;
	background-color: #222;
}
/*
margin
*/
.margin5 {
	margin-top: 5px;
	line-height: 5px;
}
.margin10 {
	margin-top: 10px;
	line-height: 10px;
}
.margin15 {
	margin-top: 15px;
	line-height: 15px;
}
.margin20 {
	margin-top: 20px;
	line-height: 20px;
}
.margin25 {
	margin-top: 25px;
	line-height: 25px;
}
.margin30 {
	margin-top: 30px;
	line-height: 30px;
}
.margin40 {
	margin-top: 40px;
	line-height: 40px;
}
.margin50 {
	margin-top: 50px;
	line-height: 50px;
}
.margin60 {
	margin-top: 60px;
	line-height: 60px;
}
.margin70 {
	margin-top: 70px;
	line-height: 70px;
}
.margin80 {
	margin-top: 80px;
	line-height: 80px;
}
.margin90 {
	margin-top: 90px;
	line-height: 90px;
}
.margin100 {
	margin-top: 100px;
	line-height: 100px;
}
/*
<wbr><span>...</span> は改行させない
*/
wbr {
	&:after {
		content: "\00200B";		//ゼロ幅スペース
	}
	+ span {
		white-space: nowrap;
	}
}
/*
top of page
*/
#movepagetop {
	user-select: none;
	position: fixed;
	right: 0px;
	bottom: -90px;
	z-index: 500;
	opacity: 0.4;
	@media print {
		display: none;
	}
	&:hover {
		opacity: 1;
	}
	> a {
		> img {
			@media (width < 630px) {
				width: 50px;
			}
		}
	}
}
/*
browsercaution jscaution preview
*/
label[for="browsercaution"],#jscaution,#preview {
	position: fixed;
	text-align: center;
	font-size: 1.3rem;
	padding: 20px;
	color: #fff;
	width: 100%;
	box-sizing: border-box;
	opacity: 0.7;
	transition: all 0.5s;
	max-height: 100px;
	overflow: hidden;
	@media print {
		display: none;
	}
	&:hover {
		opacity: 1;
	}
}
label[for="browsercaution"] {
	bottom: 0;
	z-index: 500;
	background-color: #f00;
	cursor: pointer;
}
#jscaution {
	bottom: 0;
	z-index: 502;
	background-color: #ff0;
	color: #111;
}
#preview {
	top: 0;
	z-index: 499;
	background-color: #f00;
	font-size: 2.4rem;
	font-weight: bold;
	line-height: 1.5;
	opacity: 0.7;
}
input#browsercaution[type="checkbox"] {
	display: none;
	&:checked + label[for="browsercaution"] {
		padding: 0;
		max-height: 0;
	}
}
/*
headerfix01
*/
section.headerfix01 {
	user-select: none;
	position: fixed;
	padding: 0 5%;
	width: 100%;
	z-index: 3;
	opacity: 1;
	background-color: #363636;
	@media print {
		display: none;
	}
	@media (width < 630px) {
		display: none;
	}
	> header {
		height: 86px;
		display: flex;
		justify-content: space-between;
		align-items: center;
		@media (width < 630px) {
			height: 50px;
		}
		> a {
			text-decoration: none;
			&:hover {
				opacity: 0.7;
			}
			width: 160px;
			@media (width < 630px) {
				width: 80px;
			}
			> img {
				max-width: 100%;
			}
		}
		> div {
			display: flex;
			align-items: center;
			column-gap: 30px;
			@media (width < 630px) {
				column-gap: 15px;
			}
			> a {
				text-decoration: none;
				&:hover {
					opacity: 0.7;
				}
				width: 164px;
				@media (width < 630px) {
					width: 80px;
				}
				> img {
					max-width: 100%;
				}
			}
		}
	}
}
/*
headerfix02
*/
section.headerfix02 {
	user-select: none;
	position: fixed;
	width: 100%;
	background-color: #363636;
	z-index: 4;
	transition: 0.3s;
	opacity: 1;
	display: none;
	@media (width < 630px) {
		display: block;
	}
	> input[type="checkbox"] {
		display: none;
		&:checked {
			& + header > label {
				> div {
					&:nth-of-type(1) {
						animation-name: toggleHamburgerMenuClose1;
					}
					&:nth-of-type(2) {
						animation-name: toggleHamburgerMenuClose2;
					}
					&:nth-of-type(3) {
						animation-name: toggleHamburgerMenuClose3;
					}
				}
			}
			& + header + nav {
				max-height: 100vh;
			}
		}
	}
	> header {
		padding-left: 5%;
		display: flex;
		justify-content: space-between;
		align-items: center;
		height: 60px;
		> div {
			> a {
				text-decoration: none;
				&:hover {
					opacity: 0.7;
				}
				> img {
					width: 120px;
				}
			}
		}
		> label {
			width: 60px;
			height: 60px;
			cursor: pointer;
			padding: 15px;
			display: grid;
			grid-template-rows: 30px;
			grid-template-columns: 30px;
			> div {
				grid-column: 1/2;
				grid-row: 1/2;
				width: 100%;
				border-top: solid 4px #fff;
				align-self: center;
				animation-duration: 0.2s;
				animation-fill-mode: forwards;
				&:nth-of-type(1) {
					animation-name: toggleHamburgerMenuOpen1;
				}
				&:nth-of-type(2) {
					animation-name: toggleHamburgerMenuOpen2;
				}
				&:nth-of-type(3) {
					animation-name: toggleHamburgerMenuOpen3;
				}
			}
		}
	}
	> nav {
		text-align: center;
		overflow: hidden;
		transition: 0.3s;
		max-height: 0;
		> ul {
			border-top: solid 1px #8C2C29;
			> li {
				list-style: none;
				display: flex;
				width: 100%;
				> a {
					text-decoration: none;
					font-size: 1rem;
					line-height: 1.4;
					color: #fff;
					border-bottom: solid 1px #8C2C29;
					white-space: nowrap;
					display: flex;
					flex-grow: 1;
					flex-direction: column;
					align-items: center;
					justify-content: center;
					padding: 20px 0;
					&:nth-of-type(2),&:nth-of-type(3) {
						border-left: solid 1px #8C2C29;
					}
					&[target="_blank"] {
						background-image: url(../image/mark_external_fff.svg);
						background-repeat: no-repeat;
						background-position: right 20px top 50%;
					}
					> div:nth-of-type(2) {
						border-bottom: solid 2px transparent;
						width: 3em;
						&.on {
							border-color: var(--color-accent);
						}
					}
				}
			}
		}
		> input[type="radio"] {
			display: none;
			& + ul {
				overflow: hidden;
				transition: 0.5s;
				max-height: 0;
			}
			&:checked + ul {
				max-height: 300px;
			}
		}
		> label {
			display: block;
			font-size: 1.6rem;
			line-height: 2;
			color: #fff;
			border-bottom: solid 1px #777;
			white-space: nowrap;
			background-color: #444;
			padding: 5px 0;
			background-image: url(../image/submenu_arrow_fff.svg);
			background-repeat: no-repeat;
			background-position: right 15px top 50%;
		}
	}
}
@keyframes toggleHamburgerMenuClose1 {
	0% {	transform: translateY(-13px) rotate(0deg);	}
	50% {	transform: translateY(0px) rotate(0deg);	}
	100% {	transform: translateY(0px) rotate(45deg);	}
}
@keyframes toggleHamburgerMenuClose2 {
	0% {	opacity: 1;	}
	50% {	opacity: 1;	}
	50.1% {	opacity: 0;	}
	100% {	opacity: 0;	}
}
@keyframes toggleHamburgerMenuClose3 {
	0% {	transform: translateY(13px) rotate(0deg);	}
	50% {	transform: translateY(0px) rotate(0deg);	}
	100% {	transform: translateY(0px) rotate(-45deg);	}
}
@keyframes toggleHamburgerMenuOpen1 {
	0% {	transform: translateY(0px) rotate(45deg);	}
	50% {	transform: translateY(0px) rotate(0deg);	}
	100% {	transform: translateY(-13px) rotate(0deg);	}
}
@keyframes toggleHamburgerMenuOpen2 {
	0% {	opacity: 0;	}
	50% {	opacity: 0;	}
	50.1% {	opacity: 1;	}
	100% {	opacity: 1;	}
}
@keyframes toggleHamburgerMenuOpen3 {
	0% {	transform: translateY(0px) rotate(-45deg);	}
	50% {	transform: translateY(0px) rotate(0deg);	}
	100% {	transform: translateY(13px) rotate(0deg);	}
}
/*
headerfixmargin
*/
section.headerfixmargin {
	background-color: #363636;
	height: 86px;
	@media (width < 630px) {
		height: 60px;
	}
}
